summaryrefslogtreecommitdiffstats
path: root/graphics/graphviz
diff options
context:
space:
mode:
author Audrius Kažukauskas <neobug@tornado.ktu.lt>2010-05-11 19:44:49 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:44:49 +0200
commitc401b0674e7fb26a2a238a6b99bf8688fae9a22a (patch)
treea67b62eea554ec47abb67381acb9c123aa5da23c /graphics/graphviz
parent0e9451f89cdf7c5899829457ff590f0af6815736 (diff)
downloadslackbuilds-c401b0674e7fb26a2a238a6b99bf8688fae9a22a.tar.gz
slackbuilds-c401b0674e7fb26a2a238a6b99bf8688fae9a22a.tar.xz
graphics/graphviz: Updated for version 2.16.1
Diffstat (limited to 'graphics/graphviz')
-rw-r--r--graphics/graphviz/README3
-rw-r--r--graphics/graphviz/doinst.sh2
-rw-r--r--graphics/graphviz/graphviz.SlackBuild30
-rw-r--r--graphics/graphviz/graphviz.info8
-rw-r--r--graphics/graphviz/slack-desc16
5 files changed, 35 insertions, 24 deletions
diff --git a/graphics/graphviz/README b/graphics/graphviz/README
index dbcfcd959b..c5d00fce13 100644
--- a/graphics/graphviz/README
+++ b/graphics/graphviz/README
@@ -7,5 +7,4 @@ of abstract graphs and networks. Automatic graph drawing has many important
applications in software engineering, database and web design, networking, and
in visual interfaces for many other domains.
-This requires SWIG for building language bindings (available at
-SlackBuilds.org).
+This requires SWIG (available at SlackBuilds.org).
diff --git a/graphics/graphviz/doinst.sh b/graphics/graphviz/doinst.sh
index 9d8f36ddf7..0a705bcd57 100644
--- a/graphics/graphviz/doinst.sh
+++ b/graphics/graphviz/doinst.sh
@@ -1,3 +1,3 @@
# Configure plugins (writes $prefix/lib/graphviz/config with available plugin
# information)
-dot -c
+chroot . /usr/bin/dot -c
diff --git a/graphics/graphviz/graphviz.SlackBuild b/graphics/graphviz/graphviz.SlackBuild
index 5aa299a41b..4d5398b502 100644
--- a/graphics/graphviz/graphviz.SlackBuild
+++ b/graphics/graphviz/graphviz.SlackBuild
@@ -2,17 +2,16 @@
# Slackware build script for graphviz
-# Written by Audrius Kažukauskas
-
-# Exit on most errors
-set -e
+# Written by Audrius Kažukauskas <neobug@tornado.ktu.lt>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=graphviz
-VERSION=2.12
+VERSION=2.16.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -23,12 +22,13 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e # Exit on most errors
+
rm -rf $PKG $TMP/$PRGNAM-$VERSION
mkdir -p $PKG $PKG $OUTPUT
cd $TMP
-tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -36,26 +36,30 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --with-mylibgd \
+ --mandir=/usr/man \
--disable-static
make
make install-strip DESTDIR=$PKG
-if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-fi
# Remove empty directories of language bindings that are absent
find $PKG/usr/lib/graphviz -depth -type d -empty -exec rmdir {} \;
+# Create a "dummy" config file in /usr/lib/graphviz so that it will be removed
+# when the package is uninstalled. This file is generated by the postinstall
+# script, and contains information about available plugins, so this is (or at
+# least should be) safe.
+touch $PKG/usr/lib/graphviz/config
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a INSTALL README* $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/$PRGNAM/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
-rmdir $PKG/usr/share/$PRGNAM/doc/
+rmdir $PKG/usr/share/$PRGNAM/doc
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/graphics/graphviz/graphviz.info b/graphics/graphviz/graphviz.info
index 02224901bd..1fbb1811fd 100644
--- a/graphics/graphviz/graphviz.info
+++ b/graphics/graphviz/graphviz.info
@@ -1,8 +1,8 @@
PRGNAM="graphviz"
-VERSION="2.12"
+VERSION="2.16.1"
HOMEPAGE="http://graphviz.org/"
-DOWNLOAD="http://graphviz.org/pub/graphviz/ARCHIVE/graphviz-2.12.tar.gz"
-MD5SUM="e5547bc0ec47943c72f5c3e2b5dff58f"
+DOWNLOAD="http://graphviz.org/pub/graphviz/ARCHIVE/graphviz-2.16.1.tar.gz"
+MD5SUM="8952fb2a627b38e38ed429a3a9d5cc5c"
MAINTAINER="Audrius Kazukauskas"
EMAIL="neobug@tornado.ktu.lt"
-APPROVED="BP{k}" \ No newline at end of file
+APPROVED="rworkman"
diff --git a/graphics/graphviz/slack-desc b/graphics/graphviz/slack-desc
index 52ecdfca23..98334a1f0e 100644
--- a/graphics/graphviz/slack-desc
+++ b/graphics/graphviz/slack-desc
@@ -1,9 +1,17 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
graphviz: Graphviz (Graph Visualization)
graphviz:
-graphviz: Graphviz is open source graph visualization software. It has
-graphviz: several main graph layout programs. It also has web and
-graphviz: interactive graphical interfaces, and auxiliary tools, libraries,
-graphviz: and language bindings.
+graphviz: Graphviz is open source graph visualization software.
+graphviz: It has several main graph layout programs. It also has
+graphviz: web and interactive graphical interfaces, and auxiliary
+graphviz: tools, libraries, and language bindings.
graphviz:
graphviz: Homepage: http://graphviz.org/
graphviz: